# BUILD OPTIONS: 1 for yes, 0 for no
%define enable_debug 0
%define enable_optimize 1
%define enable_perl 1
%define enable_jpeg 1

# PLUGIN OPTIONS: 1 for yes, 0 for no
%define enable_abicollab 1
%define enable_abicommand 1
%define enable_abidash 1
%define enable_abipsion 1
%define enable_aiksaurus 1
%define enable_babelfish 1
%define enable_eg 1
%define enable_freetranslation 1
%define enable_festvox 0
%define enable_gda 0
%define enable_gdict 1
%define enable_goffice 1
%define enable_shell 1
%define enable_urldict 1
%define enable_wikipedia 1
# import/export
%define enable_pdf 1
%define enable_wordperfect 1
# graphics  
%define enable_rsvg 1
#search
%define enable_eps 0
%define enable_google 1

%if %{enable_debug}
# This makes sure the binaries are UNSTRIPPED!
%define __os_install_post       %{nil}
# This gives extra debuggin and huge binaries
%{expand:%%define optflags %{optflags} %([ ! $DEBUG ] && echo '-g3')}
%endif

%if %{enable_abicollab}
%define plugin_abicollab --enable-abicollab --with-abicollab-service-backend --with-asio=../asio-0.3.8rc3
%else
%define plugin_abicollab --disable-abicollab
%endif

%if %{enable_aiksaurus}
%define plugin_aiksaurus --enable-aiksaurus
%else
%define plugin_aiksaurus --disable-aiksaurus
%endif

%if %{enable_gdict}
%define plugin_gdict --enable-gdict
%else
%define plugin_gdict --disable-gdict
%endif

%if %{enable_babelfish}
%define plugin_babelfish --enable-babelfish
%else
%define plugin_babelfish --disable-babelfish
%endif

%if %{enable_urldict}
%define plugin_urldict --enable-urldict
%else
%define plugin_urldict --disable-urldict
%endif

%if %{enable_wikipedia}
%define plugin_wikipedia --enable-wikipedia
%else
%define plugin_wikipedia --disable-wikipedia
%endif

%if %{enable_freetranslation}
%define plugin_freetranslation --enable-freetranslation
%else
%define plugin_freetranslation --disable-freetranslation
%endif 

%if %{enable_festvox}
%define plugin_festvox --enable-festvox
%else
%define plugin_festvox --disable-festvox
%endif

%if %{enable_shell}
%define plugin_shell --enable-shell
%else
%define plugin_shell --disable-shell
%endif

%if %{enable_eg}
%define plugin_tests --enable-eg
%else
%define plugin_tests --disable-eg
%endif

%if %{enable_google}
%define plugin_google --enable-google
%else
%define plugin_google --disable-google
%endif

%if %{enable_abidash}
%define plugin_abidash --enable-abidash
%else
%define plugin_abidash --disable-abidash
%endif

%if %{enable_abipsion}
%define plugin_abipsion --enable-abipsion
%else
%define plugin_abipsion --disable-abipsion
%endif

%if %{enable_gda}
%define plugin_gda --enable-gda
%else
%define plugin_gda --disable-gda
%endif

%if %{enable_pdf}
%define plugin_pdf --enable-pdf
%else
%define plugin_pdf --disable-pdf
%endif

%define version_flag ABI_BUILD_VERSION=2.5.2
%define Aname %{name}-2.5
%define iconname abiword.png  
%define svnrel 21999

Name:       abiword
Summary:    Lean and fast full-featured word processor
Version:    2.5.2
Release:    %mkrel 2.%svnrel.3
Group:      Office
URL:        http://www.abisource.com/
License:    GPL
Source0:    http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-r%{svnrel}.tar.bz2
Source1:    http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-plugins-r%{svnrel}.tar.bz2
Source2:    http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-extras-r%{svnrel}.tar.bz2
Source3:    http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-docs-r%{svnrel}.tar.bz2
# asio is needed for abicollab plugin
Source4:    http://nchc.dl.sourceforge.net/sourceforge/asio/asio-0.3.8rc3.tar.bz2
Patch2:     abiword-2.6.0-desktop-fix.patch
BuildRoot:  %_tmppath/%name-%version-buildroot
BuildRequires:	automake
BuildRequires:  ImageMagick
BuildRequires:  bzip2-devel
BuildRequires:  libtool-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libwmf-devel >= 0.2.1
BuildRequires:  wv-devel
BuildRequires:  enchant-devel
BuildRequires:  texinfo
BuildRequires:  lcms-devel
BuildRequires:  fribidi-devel >= 0.10.4
BuildRequires:  libglade2.0-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  libgnomeprintui-devel
BuildRequires:  libgsf-devel >= 1.13.3
BuildRequires:  link-grammar-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libhowl-devel
BuildRequires:  ots-devel >= 0.5.0
BuildRequires:  gtkmathview >= 0.7.5
BuildRequires:  libgtkmathview-devel >= 0.7.5
BuildRequires:	gucharmap-devel
BuildRequires:	boost-devel
%if %{enable_eps} 
BuildRequires:  eps-devel
%endif
%if %{enable_abicommand}
BuildRequires:  libtermcap-devel 
BuildRequires:  libreadline-devel
%endif
%if %{enable_abicollab}
BuildRequires:	loudmouth-devel
%endif
%if %{enable_perl}
BuildRequires:  perl >= 5.005
%endif
%if %{enable_gdict}
BuildRequires:  gdict
%endif
%if %{enable_aiksaurus}
BuildRequires:  aiksaurusgtk-devel
%endif
%if %{enable_gda}
BuildRequires:  gnome-db2.0-devel
%endif
%if %{enable_goffice}
BuildRequires: goffice0-devel >= 0.4.0
%endif
%if %{enable_rsvg}
BuildRequires:  librsvg-devel
%endif 
%if %{enable_pdf}
BuildRequires:  libpoppler-glib-devel
%endif
%if %{enable_wordperfect}
BuildRequires:  libwpd-devel >= 0.8.0
BuildRequires:  libwpg-devel >= 0.1.0
%endif 
%if %{enable_abipsion}
BuildRequires:  libpsiconv-devel
%endif
Obsoletes:  %{name}-plugin-gdkpixbuf
Provides:  %{name}-plugin-gdkpixbuf
Suggests:  %{name}-doc

%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.

It is a lean and fast full-featured word processor. It works on Most Unix
systems, Microsoft Windows and Mac OS X. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of MS Word and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images
   * Tables

More features are available through the use of plugins, which are
packaged separately. Also more import and export filters are
available by installing the abiword-plugin-impexp package.
Help files are available in a few languages which rae available as
for example abiword-doc-de.

Abiword with the GNOME front-end is part of the GNOME Office Suite. 
See http://www.gnomeoffice.org for details.

%package devel
Summary:	Devel files for Abiword
Group:	Development/Other
Requires:	%{name} = %{version}

%description devel
This pacakage contains devel files for Abiword, mainly header files
and pkg files.

%package doc-de
Summary:    German documentation and helpfiles for Abiword
Group:      Office
Requires:   %{name}
Requires:   locales-de
Provides:   %{name}-doc = %version-%release

%description doc-de
German documentation and helpfiles for Abiword.

%package doc-en
Summary:    English documentation and helpfiles for Abiword
Group:      Office
Requires:   %{name}
Requires:   locales-en
Provides:   %{name}-doc = %version-%release

%description doc-en
English documentation and helpfiles for Abiword.

%package doc-fr
Summary:    French documentation and helpfiles for Abiword
Group:      Office
Requires:   %{name}
Requires:   locales-fr
Provides:   %{name}-doc = %version-%release

%description doc-fr
French documentation and helpfiles for Abiword.

%package doc-pl
Summary:    Polish documentation and helpfiles for Abiword
Group:      Office
Requires:   %{name}
Requires:   locales-pl
Provides:   %{name}-doc = %version-%release

%description doc-pl
Polish documentation and helpfiles for Abiword.

%if %{enable_abicollab}
%package plugin-abicollab
Summary:    A real-time collaborative editing feature to AbiWord
Group:      Office
Requires:   %{name} = %{version}

%description plugin-abicollab
This plugin offers a real-time collaborative editing feature to AbiWord.
%endif

%if %{enable_abicommand}
%package plugin-abicommand
Summary:    This plugin offers a command line interface to AbiWord
Group:      Office
Requires:   %{name} = %{version}

%description plugin-abicommand
This plugin offers a command line interface to AbiWord.
%endif

%if %{enable_perl}
%package perl
Summary:    Perl Bindings Module
Group:      Development/Libraries
Requires:   perl >= 5.005
Requires:   %{name} = %{version}

%description perl
Perl Module containing classes for AbiWord Scripting.
%endif

%if %{enable_babelfish}
%package plugin-babelfish
Summary:    Plugin to allow abiword to show babelfish translations
Group:      Office
Requires:   %{name} = %{version}
 
%description plugin-babelfish
Installing this plugin will allow abiword fetch babelfish translations 
for selected text.
%endif

%if %{enable_urldict}
%package plugin-urldict
Summary:    Plugin to allow abiword to use dict through a web browser
Group:      Office
Requires:   %{name} = %{version} 

%description plugin-urldict
Installing this plugin will allow abiword to use dict through a web 
browser on selected text.
%endif 

%if %{enable_festvox}
%package plugin-festvox
Summary:    Plugin for festvox
Group:      Office
Requires:   %{name} = %{version}

%description plugin-festvox
Plugin for festvox
%endif

%if %{enable_gdict}
%package plugin-gdict
Summary:    Plugin to allow abiword to use gdict
Group:      Office
Requires:   %{name} = %{version} 

%description plugin-gdict
Plugin to allow abiword to use gdict
%endif

%package plugin-abigimp
Summary:    Enables editing of your images in The GIMP
Group:      Office
Requires:   %{name} = %{version}

%description plugin-abigimp
Installing this plugin will allow AbiWord to transfer images to The GIMP for
editing.

%if %{enable_shell}
%package plugin-shell
Summary:    Enables redirection of shell output into AbiWord
Group:      Office
Requires:   %{name} = %{version} 

%description plugin-shell
Installing this plugin will allow AbiWord to read output of shell commands.
%endif

%if %{enable_wikipedia}
%package plugin-wikipedia
Summary:    Plugin to allow abiword to connect with WikiPedia
Group:      Office
Requires:   %{name} = %{version} 

%description plugin-wikipedia
Plugin to allow abiword to connect with WikiPedia.
%endif

%if %{enable_freetranslation}
%package plugin-freetranslation
Summary:    Plugin to allow abiword to connect with freetranslation
Group:      Office
Requires:   %{name} = %{version} 

%description plugin-freetranslation
Plugin to allow abiword to connect with freetranslation.
%endif

%if %{enable_aiksaurus}
%package plugin-aiksaurus
Summary:    Plugin to allow abiword to connect with AikSaurus
Group:      Office
Requires:   %{name} = %{version} 

%description plugin-aiksaurus
Plugin to allow abiword to connect with AikSaurus, a thesaurus
library (currently English only).
%endif

%package plugin-ots
Summary:    Plugin to summarize text
Group:      Office
Requires:   ots >= 0.5.0
Requires:   %{name} = %{version}

%description plugin-ots
Installing this plugin will allow abiword to summarize text with
the help from ots (open text summarizer).

%if %{enable_gda}
%package plugin-gda
Summary:    Plugin to import from databases
Group:      Office
Requires:   gda2.0
Requires:   gnome-db2.0
Requires:   %{name} = %{version}

%description plugin-gda
Installing this plugin will allow abiword to import from databases through
gda and gnome-db. 
%endif

%package plugin-graphics
Summary:    Plugins to allow abiword to import images
Group:      Office
Requires:   %{name} = %{version}

%description plugin-graphics
Installing these plugins will allow abiword to import several image types,
like jpeg, bmp or rsvg.

%package plugin-impexp
Summary:    Plugins to allow abiword to import file types from other wordprocessors
Group:      Office
Requires:   %{name} = %{version}

%description plugin-impexp
Installing these plugins will allow abiword to import and/or export file
types from other wordprocessors, like OpenOffice/StarOffice(5/6), WordPerfect,
Kword, etc.
This package also provides plugins to import LaTeX, PDF, nroff and docbook
documents, as well as the import and export of html/xhtml documents.
Support to import MS Word documents is built into the main package.

%if %{enable_google}
%package plugin-google
Summary:    Plugins allows Google search for selected text
Group:      Office
Requires:   %{name} = %{version} 

%description plugin-google
Plugins allows Google search for selected text
%endif

%if %{enable_abidash}
%package plugin-abidash
Summary:    Plugin template for a notification style plugin
Group:      Office
Requires:   %{name} = %{version}  

%description plugin-abidash
New plugin template for a notification style plugin. 
Can be used to make a dashbaord plugin
%endif

%if %{enable_abipsion}
%package plugin-abipsion
Summary:    Plugin allowing import/export from Psion PDA
Group:      Office
Requires:	%{name} = %{version}

%description plugin-abipsion
Plugin allowing import/export from Psion PDA
%endif

%if %{enable_goffice}
%package plugin-abigoffice
Summary:    Plugin to create Gnome Office components
Group:      Office
Requires:   %{name} = %{version}
Requires:   goffice >= 0.4.0
Provides:	%{name}-plugin-abigochart = %{version}-%{release}
Obsoletes:	%{name}-plugin-abigochart

%description plugin-abigoffice
Plugin allowing the creation of Gnome Office components
%endif

%package plugin-abigrammar
Summary:    Plugin to allow grammar checking
Group:      Office
Requires:   link-grammar
Requires:   %{name} = %{version}

%description plugin-abigrammar
Plugin to allow grammar checking of English documents using
link-grammar as a syntactic parser of English.

%package plugin-abimathview
Summary:    Plugin to import and edit MathML documents
Group:      Office
Requires:   gtkmathview >= 0.7.5
Requires:   %{name} = %{version}

%description plugin-abimathview
Plugin to import and edit MathML documents

%package plugin-olpctoolbar
Summary:    Floating toolbar for using on the OLPC system
Group:      Office
Requires:   %{name} = %{version}

%description plugin-olpctoolbar
Floating toolbar for using on the OLPC system

%prep
%setup -q -n %{name}
%setup -D -T -q -a 1 -n %{name}
%setup -D -T -q -a 2 -n %{name}
%setup -D -T -q -a 3 -n %{name}
%setup -D -T -q -a 4 -n %{name}
%patch2 -p0
 
%build

# The main applications
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --enable-gnome --with-sys-wv 

%make %{version_flag} ABI_OPT_DEBUG=%{enable_debug} \
    UNIX_CAN_BUILD_STATIC=0 ABI_OPT_LIBJPEG=1 \
    ABI_OPT_PERL=%{enable_perl} \
    ABI_OPT_OPTIMIZE=%{enable_optimize}

# The plugins
cd %{name}-plugins
NOCONFIGURE=1 ./autogen.sh
export CXXFLAGS="%{optflags} -I$(pwd)/../asio-0.3.8rc3/include"
%configure2_5x --disable-rpath \
    --enable-all --with-abiword=../ %{plugin_abicollab} \
    %{plugin_abidash} %{plugin_abipsion} %{plugin_aiksaurus} \
    %{plugin_babelfish} %{plugin_festvox} %{plugin_freetranslation} \
    %{plugin_gda} %{plugin_gdict} %{plugin_google} \
    %{plugin_shell} %{plugin_tests} \
    %{plugin_urldict} %{plugin_wikipedia} \
    %{plugin_pdf}

%make
cd -

# The extra stuff don't need build acturally
# cd ../%{name}-extras-%{version}

# now make the docs
cd %{name}-docs
ABI_DOC_PROG=$(pwd)/../src/wp/main/unix/%{Aname} ./make-html.sh
cd -

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std
ln -s %Aname %buildroot%_bindir/%name

cd %{name}-plugins
%make install DESTDIR=$RPM_BUILD_ROOT
cd -

# install extra stuff
cd %{name}-extras
# cliparts
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}-2.5/clipart
install -m 644 clipart/*.png $RPM_BUILD_ROOT/%{_datadir}/%{name}-2.5/clipart
# templates
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}-2.5/templates
install -m 644 templates/*.awt $RPM_BUILD_ROOT/%{_datadir}/%{name}-2.5/templates
# dictionaries
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}-2.5/dictionary
install -m 644 dictionary/*.xml $RPM_BUILD_ROOT/%{_datadir}/%{name}-2.5/dictionary
cd -

# install the docs
cd %{name}-docs
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{Aname}/help
cp -rp help/* $RPM_BUILD_ROOT/%{_datadir}/%{Aname}/help/
# some of the help dirs have bad perms (#109261)
find $RPM_BUILD_ROOT/%{_datadir}/%{Aname}/help/ -type d -exec chmod -c o+rx {} \;
cd -

desktop-file-install --vendor="" \
--remove-key='Encoding' \
--remove-category="Application" \
--remove-category="X-Red-Hat-Base" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
 
cat <<EOF >$RPM_BUILD_ROOT%{_datadir}/applications/mandriva-abiword-impexp.desktop
[Desktop Entry]
Type=Application
Exec=abiword %f
MimeTypes=application/msword;application/vnd.ms-word;application/vnd.oasis.opendocument.text;application/vnd.stardivision.writer;text/richtext;application/x-kword;application/pdf;
NoDisplay=True
EOF

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/%{Aname}/Nautilus_View_AbiWord.oaf \
 $RPM_BUILD_ROOT%{_datadir}/%{Aname}/nautilus-abiword-content-view-ui.xml \
 $RPM_BUILD_ROOT%{_datadir}/%{Aname}/system.profile \
 $RPM_BUILD_ROOT%{_datadir}/%{Aname}/AbiWord.exe.MANIFEST \
 $RPM_BUILD_ROOT%{_bindir}/ttftool \
 $RPM_BUILD_ROOT%{_bindir}/ttfadmin.sh
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{Aname}/plugins/*.la

# add uninstalled files
%if %{enable_abicommand}
#cd ../abidistfiles
#cp GNOME_AbiWord_Control_2_4.server $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/
%else
rm -f $RPM_BUILD_ROOT%{_libdir}/%{Aname}/plugins/libAbiCommand.*
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc user/wp/readme.txt BiDiReadme.txt COPYING COPYRIGHT.TXT CREDITS.TXT abi2po.pl
%{_bindir}/*
%dir %{_datadir}/%{Aname}
%{_datadir}/%{Aname}/readme.txt 
%{_datadir}/%{Aname}/strings
%{_datadir}/%{Aname}/scripts
%{_datadir}/%{Aname}/system.profile-* 
%{_datadir}/%{Aname}/glade/*
%{_datadir}/%{Aname}/clipart/*
%{_datadir}/%{Aname}/templates/*
%{_datadir}/%{Aname}/dictionary/*
%dir %{_libdir}/%{Aname}
%dir %{_libdir}/%{Aname}/plugins
%{_datadir}/mime-info/%{name}.keys
%_datadir/icons/abiword_48.png
%_datadir/applications/abiword.desktop

%files doc-de
%defattr(-,root,root)
#%doc %{name}-docs-%{version}/ABW/de-DE

%files doc-en
%defattr(-,root,root)
#%doc %{name}-docs-%{version}/screenshots/GNOME/en-GB %{name}-docs-%{version}/Tutorials %{name}-docs-%{version}/Manual/en
%doc %{name}-docs/ABW/en-US
%doc docs/*.abw docs/*.txt docs/status/*.xsl docs/status/*.xml
%_datadir/%{Aname}/help/en-US

%files doc-fr
%defattr(-,root,root)
%doc %{name}-docs/ABW/fr-FR
%_datadir/%{Aname}/help/fr-FR

%files doc-pl
%defattr(-,root,root)
%doc %{name}-docs/ABW/pl-PL
%_datadir/%{Aname}/help/pl-PL

%if %{enable_abicollab}
%files plugin-abicollab
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiCollab.*
%endif

%if %{enable_abicommand}
%files plugin-abicommand
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiCommand.*
#%attr(-,root,root) %{_libdir}/bonobo/servers/GNOME_AbiWord_Control_2_4.server
%endif

%if %{enable_gdict}
%files plugin-gdict
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGdict.*
%endif

%if %{enable_babelfish}
%files plugin-babelfish
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiBabelfish.*
%endif

%if %{enable_urldict}
%files plugin-urldict
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiURLDict.*
%endif

%if %{enable_wikipedia}
%files plugin-wikipedia
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiWikipedia.*
%endif

%if %{enable_freetranslation}
%files plugin-freetranslation
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiFreeTranslation.*
%endif

%if %{enable_aiksaurus}
%files plugin-aiksaurus
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiAikSaurus.*
%endif

%if %{enable_festvox}
%files plugin-festvox
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiFestVox.*
%endif 
 
%files plugin-abigimp
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGimp.*

%if %{enable_shell}
%files plugin-shell
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiScriptHappy.*
%endif

%files plugin-ots
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiOTS.*
%attr(-,root,root) %_libdir/%{Aname}/plugins/AbiWord/glade/ots.glade

%if %{enable_gda}
%files plugin-gda
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGDA.* 
%endif

%files plugin-graphics
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiJPEG.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiBMP.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWMF.*
%if %{enable_rsvg}
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiRSVG.*
%endif

%files plugin-impexp
%{_datadir}/applications/mandriva-abiword-impexp.desktop
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiKWord.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiXSLFO.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiLaTeX.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiDocBook.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiMSWrite.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiPalmDoc.*
%if %{enable_pdf}
#%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiPDF.*
%endif
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiSDW.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWML.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiXHTML.*
#%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiBZ2.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiOpenDocument.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiOpenWriter.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiOpenXML.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiCAPI.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiPassepartout.*
%if %{enable_wordperfect}
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWordPerfect.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWPG.so
%endif
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiApplix.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiClarisWorks.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiEML.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiHRText.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiHancom.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiISCII.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiOPML.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiMIF.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiNroff.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiT602.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiGremlin.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libLoadBindings.so
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libPresentation.so

%if %{enable_google}
%files plugin-google
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGoogle.*
%endif

%if %{enable_abidash}
%files plugin-abidash
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiDash.*
%endif

%if %{enable_abipsion}
%files plugin-abipsion
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiPsion.*
%endif

%if %{enable_goffice}
%files plugin-abigoffice
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGOffice.*
%endif

%files plugin-abigrammar
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGrammar.*

%files plugin-abimathview
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiMathView.so

%files plugin-olpctoolbar
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiOlpcToolbar.*

%files devel
%attr(-,root,root)
%{_includedir}/%{Aname}/*.h
%{_libdir}/pkgconfig/%{Aname}.pc

%post
%{update_menus}
%{update_desktop_database}
%{update_mime_database}

%postun
%{clean_menus}
%{clean_desktop_database}
%{clean_mime_database}


%changelog
* Wed Oct 03 2007 Funda Wang <fundawang@mandriva.org> 2.5.2-2.21999.3mdv2008.0
+ Revision: 94973
- fix upgrade path from 2007.0/2007.1

* Sun Sep 23 2007 Funda Wang <fundawang@mandriva.org> 2.5.2-2.21999.2mdv2008.0
+ Revision: 92339
- create symbolic link
- own corresponding dir
- fix file list of wordperfect plugin
- Fix building of collab plugin
- add asio source (to be singledout after 2008.0)
- fix doc building
- fix permission

* Sat Sep 22 2007 Funda Wang <fundawang@mandriva.org> 2.5.2-2.21999.1mdv2008.0
+ Revision: 92207
- suggests doc
- fix br of goffice
- Do not configure when autogen
- fix poppler requires
- New svn snapshot (2.6.0 nearly)
- fix doc attrib

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Aug 22 2007 Funda Wang <fundawang@mandriva.org> 2.5.2-1mdv2008.0
+ Revision: 68865
- add missing plugins files
- BR poppler-glib
- BR boost
- New version 2.5.2
- remove unused patches
- add impexp desktop file

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.1-4mdv2008.0
+ Revision: 38600
- rebuild for expat

* Sat May 05 2007 Funda Wang <fundawang@mandriva.org> 2.5.1-3mdv2008.0
+ Revision: 22641
- add autogen.sh for now (to be removed in 2.5.2)
- use autogen now.
- Build against goffice 0.4.0
- BuildRequires gucharmap

* Fri May 04 2007 Funda Wang <fundawang@mandriva.org> 2.5.1-2mdv2008.0
+ Revision: 22295
- disable goffice integration for now.
- bump ots requirement.
- kill patch2, as abiword should require higher version of ots.

* Thu May 03 2007 Funda Wang <fundawang@mandriva.org> 2.5.1-1mdv2008.0
+ Revision: 21244
- goffice >= 0.3.8
- add devel package.
- adopt to new installation dir.
- there is no de documentation any more.
- Added patch to build ots.
- Enable goffice integration.
- rediff patch0.
- Source tarball have been splitted
- New upstream version 2.5.1


* Tue Feb 06 2007 Jérôme Soyer <saispo@mandriva.org> 2.4.6-2mdv2007.0
+ Revision: 116604
- Rebuild for latest wv

* Wed Nov 22 2006 Jérôme Soyer <saispo@mandriva.org> 2.4.6-1mdv2007.1
+ Revision: 86075
- New release 2.4.6 / Remove Patch1 not needed
- Import abiword

* Mon Sep 18 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.5-5mdv2007.0
- add P1 (#25788) thanks to reinout@gmail.com

* Sun Sep 17 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.5-4mdv2007.0
- rebuild

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.5-3mdv2007.0
- add version BR for abigochart
- add BR libhowl-devel

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.5-2mdv2007.0
- re-enable abigochart
- BR and R

* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.5-1mdv2007.0
- 2.4.5 (bug-fix release)
- re-enable eg plugins
- temp disale abigochart...does not build with goffice-devel-0.3.0
- xdg

* Wed Jun 14 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.4-6mdv2007.0
- fix crappy paste job

* Tue Jun 13 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.4-5mdv2007.0
- adjust BR (fix build on x86_64, hopefully)

* Mon Jun 12 2006 Charles A Edwards <eslrahc@mandriva.org> 2.4.4-4mdv2007.0
- rebuild
- fix BR when gda Not enabled

* Thu May 11 2006 Jerome Soyer <saispo@mandriva.org> 2.4.4-3mdk
- Add P0 to build with pdf extensions

* Thu May 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.4-2mdk
- Fix Buildrequires

* Fri Apr 28 2006 Jerome Soyer <saispo@mandriva.org> 2.4.4-1mdk
- Thks Gtz Waschk
- Thks Reinout van Schouwen
- 2.4.4
- disable build with libeps
- disable pdf export
- disable gda support

* Mon Jan 09 2006 Marcel Pol <mpol@mandriva.org> 2.4.2-1mdk
- from Reinout van Schouwen <reinout@cs.vu.nl>
  - 2.4.2
  - update buildrequires
  - drop gda plugin for now

* Fri Nov 04 2005 Marcel Pol <mpol@mandriva.org> 2.4.1-4mdk
- improve description

* Sun Oct 30 2005 Marcel Pol <mpol@mandriva.org> 2.4.1-3mdk
- rebuild for new wv

* Fri Oct 28 2005 Marcel Pol <mpol@mandriva.org> 2.4.1-2mdk
- reupload

* Tue Oct 18 2005 Marcel Pol <mpol@mandriva.org> 2.4.1-1mdk
- 2.4.1

* Fri Oct 07 2005 Marcel Pol <mpol@mandriva.org> 2.4.0-1mdk
- 2.4.0
- requires gtkmathview > 0.7.5

* Fri Sep 23 2005 Marcel Pol <mpol@mandriva.org> 2.3.99-1mdk
- 2.3.99

* Tue Aug 30 2005 Marcel Pol <mpol@mandriva.org> 2.3.5-1mdk
- 2.3.5
- enable gda and gochart plugins again
- add mathview plugin
- drop mdk 9.2 substitute

* Wed Aug 17 2005 Marcel Pol <mpol@mandriva.org> 2.3.4-5mdk
- reupload SRPM
- split more docs
- disable abigochart for now, build fails

* Sun Jul 31 2005 Marcel Pol <mpol@mandriva.org> 2.3.4-4mdk
- enable openwrite and opendocument plugin
- make doc package per language

* Fri Jul 29 2005 Marcel Pol <mpol@mandriva.org> 2.3.4-3mdk
- From Reinout van Schouwen
  - build docs
- add abiword-doc package

* Wed Jul 27 2005 Marcel Pol <mpol@mandriva.org> 2.3.4-2mdk
- add link-grammar plugin
- aiksaurus is only in English currently
- remove unneeded devel files for plugins

* Wed Jul 27 2005 Marcel Pol <mpol@mandriva.org> 2.3.4-1mdk
- From Reinout van Schouwen <reinout@cs.vu.nl>
  - 2.3.4
  - disable GDA plugin for now, because of antique libgnomedb dependency
  - po2abi.pl removed
  - OpenDocument plugin added, but disabled for now
- update long-title in menufile

* Thu Jun 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3.1-2mdk
- rebuild for new wv library

* Mon Jun 13 2005 Marcel Pol <mpol@mandriva.org> 2.3.1-1mdk
- 2.3.1
- disable openwriter, needs libgsf cvs (Reinout van Schouwen)
- disable unfinished widget plugin
- disable grammar and collab plugin for now
- new source url

* Thu May 12 2005 Marcel Pol <mpol@mandriva.org> 2.3.0-1mdk
- 2.3.0
- parallel make
- add %%mkrel
- drop file and buildrequires for libnautilus-devel, obsolete
- ad goffice plugin for charts
- add PDF import plugin

* Sat Apr 30 2005 Marcel Pol <mpol@mandriva.org> 2.2.7-2mdk
- fix description (Reinout van Schouwen)

* Tue Apr 05 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.7-1mdk
- 2.2.6

* Sun Mar 06 2005 Marcel Pol <mpol@mandrake.org> 2.2.5-1mdk
- 2.2.5
- provides gdkpixbuf plugin

* Mon Feb 21 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.4-1mdk
- 2.2.4
- rm pixbuf-plugin...viewer now included in main
- rm Magick-plugin...no longer included in source

* Thu Jan 20 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.3-2mdk
- rebuild for new readline

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.3-1mdk
- 2.2.3

* Tue Jan 04 2005 Marcel Pol <mpol@mandrake.org> 2.2.2-2mdk
- rebuild for new gda

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 2.2.2-1mdk
- 2.2.2

* Fri Dec 03 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.1-1mdk
- 2.2.1
- mv BR libreadline-devel to abicommand pkg
- drop patch

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.0-2mdk
- add BuildRequires: libnautilus-devel libreadline-devel

* Thu Nov 18 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.0-1mdk
- 2.2.0 Final

* Fri Nov 12 2004 Marcel Pol <mpol@mandrake.org> 2.1.99-1mdk
- 2.1.99
- revamp configuring of plugins

* Mon Nov 08 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.98-1mdk
- 2.1.98

* Fri Nov 05 2004 Marcel Pol <mpol@mandrake.org> 2.1.96-1mdk
- 2.1.96

* Wed Oct 20 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.91-1mdk
- 2.1.91
- enable/add AbiPsion plugin

* Sat Oct 16 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.90-1mdk
- 2.1.90 (2.2 Beta 1)
- add abidash plugin

* Sat Oct 02 2004 Marcel Pol <mpol@mandrake.org> 2.1.8-1mdk
- 2.1.8
- really disable abimagick-plugin
- explicitly disable psion plugin (compile breaks)

* Thu Sep 09 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.7-1mdk
- 2.1.7
- rediff p
- drop p1 and p2
- abimagick-plugin still causes abort-so-disable

* Sun Sep 05 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.6-2mdk
- disable abimagick-plugin (bug 7211-could find no work-a-round)
- drop patch1

* Sat Sep 04 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.6-1mdk
- 2.1.6
- patch abigimp and abimagick

* Fri Sep 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.5-2mdk
- fix broken desktop file

* Wed Aug 11 2004 Marcel Pol <mpol@mandrake.org> 2.1.5-1mdk
- 2.1.5
- coquille plugin is gone, part of docbook plugin
- enable aiksaurus again
- add uninstalled files

* Fri Jul 30 2004 Marcel Pol <mpol@mandrake.org> 2.1.3-5mdk
- build against system wv (security fix)

* Thu Jul 29 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.3-4mdk
- rebuild for IM-6.0.4.1

* Thu Jul 22 2004 Marcel Pol <mpol@mandrake.org> 2.1.3-3mdk
- enable Palm inport/export plugin

* Wed Jul 07 2004 Michael Scherer <misc@mandrake.org> 2.1.3-2mdk 
- rebuild for new ImageMagick

* Sat Jun 12 2004 Marcel Pol <mpol@mandrake.org> 2.1.3-1mdk
- 2.1.3
- buildrequires imagemagick
- enable gda plugin again, disable aiksaurus for now

* Sun May 23 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.2-1mdk
- 2.1.2
- reenable libtoolize
- add and enable google plugin
- enable ImageMagick plugin
- rm all Obsoletes/Provides for abiword2 abisuite
- misc spec clean-up

* Wed Apr 14 2004 Marcel Pol <mpol@mandrake.org> 2.0.6-1mdk
- 2.0.6
- temporarily disable gda and coquille plugins

